Subject: Ticket Assigned - Store information
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 05 May 2022 12:27:53 +0000

Hi Athar Mubark,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Store information Read only if there is customer care and customer service concept in your company.
Today 5-May-2022 I waited more than 20 minutes in queue to pay the bill for single item at Bairaq mall at around noon 14:00 pm. There was no rush, only one customer ahead of me but taking quite long time. So I requested to open another counter. She didn't respond anything. Then I asked for manager. She didn't respond. Then I got to talk with manager with help of security. He send me to another counter on upper floor. There also it took more than 10 minutes. One gentle man left without buying. This all can be checked in CCTV. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4313870